#!/usr/bin/env python3

from setuptools import setup, find_packages


def parse_requirements():
    reqs = []
    with open("requirements.txt", "r") as handle:
        for line in handle:
            reqs.append(line)
    return reqs


setup(
    name="simple_ecowatt",
    version="0.0.1",
    description="Une API simple pour MonEcowatt",
    author="tobast",
    author_email="contact@tobast.fr",
    license="LICENSE",
    url="https://git.tobast.fr/tobast/simple-ecowatt",
    packages=find_packages(),
    include_package_data=True,
    package_data={"palmed_model": ["py.typed"]},
    long_description=open("README.md").read(),
    install_requires=parse_requirements(),
)
